unit RDRound;
{ *************************************************
  *            FormRgn library 21.06.99           *
  *           written by Grigoriev Anton          *
  *                                               *
  *      Auxiliary unti for property editor       *
  ************************************************* }

 interface

  uses Windows,Messages,SysUtils,Classes,Graphics,Controls,Forms,Dialogs,StdCtrls,Buttons;

   type TRoundEditDlg=class(TForm)
                       BtnOK:TBitBtn;
                       BtnCancel:TBitBtn;
                       EditB:TEdit;
                       Label4:TLabel;
                       Label3:TLabel;
                       EditR:TEdit;
                       EditL:TEdit;
                       EditT:TEdit;
                       Label2:TLabel;
                       Label1:TLabel;
                       EditW:TEdit;
                       Label5:TLabel;
                       Label6:TLabel;
                       EditH:TEdit;
                       procedure BtnOKClick(Sender:TObject);
                      public
                       function Execute(SP:string):string;
                     end;

    var RoundEditDlg:TRoundEditDlg;

 implementation

  uses RgnEdit;

  {$R *.DFM}

   procedure TRoundEditDlg.BtnOKClick(Sender:TObject);
    begin
     with (Owner as TRgnEditDlg) do
      if Check(EditL.Text) and Check(EditT.Text) and Check(EditR.Text) and Check(EditB.Text) and Check(EditW.Text) and Check(EditH.Text) then
       Self.ModalResult:=mrOK
      else
       ShowMessage('Syntax error in parameters')
    end;

   function TRoundEditDlg.Execute;
    var P:Integer;
     begin
      P:=Pos(',',SP);
      EditL.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      P:=Pos(',',SP);
      EditT.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      P:=Pos(',',SP);
      EditR.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      P:=Pos(',',SP);
      EditB.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      P:=Pos(',',SP);
      EditW.Text:=Copy(SP,1,P-1);
      Delete(SP,1,P);
      EditH.Text:=SP;
      if ShowModal=mrOK then
       Result:='U'+UpperCase(EditL.Text)+','+UpperCase(EditT.Text)+','+UpperCase(EditR.Text)+','+UpperCase(EditB.Text)+','+UpperCase(EditW.Text)+','+UpperCase(EditH.Text)
      else
       Result:=''
     end;

 end.
